# std::fpos< StateT > Class Template Reference

Class representing stream positions. More...

`#include <postypes.h>`

List of all members.

## Public Member Functions

| fpos (streamoff __off)
| Construct position from offset.
| operator streamoff () const
| Convert to streamoff.
void | state (StateT st)
| Remember the value of st.
StateT | state () const
| Return the last set value of st.
bool | operator== (const fpos &__other) const
| Test if equivalent to another position.
bool | operator!= (const fpos &__other) const
| Test if not equivalent to another position.
fpos & | operator+= (streamoff __off)
| Add offset to this position.
fpos & | operator-= (streamoff __off)
| Subtract offset from this position.
fpos | operator+ (streamoff __off) const
| Add position and offset.
fpos | operator- (streamoff __off) const
| Subtract offset from position.
streamoff | operator- (const fpos &__other) const
| Subtract position to return offset.

## Detailed Description

### template<typename StateT>
class std::fpos< StateT >

Class representing stream positions.

The standard places no requirements upon the template parameter StateT. In this implementation StateT must be DefaultConstructible, CopyConstructible and Assignable. The standard only requires that fpos should contain a member of type StateT. In this implementation it also contains an offset stored as a signed integer.

Parameters:

  | StateT | Type passed to and returned from state().

Definition at line 95 of file postypes.h.

## Constructor & Destructor Documentation

template<typename StateT>
std::fpos< StateT >::fpos | ( | streamoff | __off | ) | `[inline]`

| Construct position from offset. Definition at line 116 of file postypes.h.

## Member Function Documentation

template<typename StateT>
std::fpos< StateT >::operator streamoff | ( |  | ) | const`[inline]`

| Convert to streamoff. Definition at line 120 of file postypes.h.

template<typename StateT>
bool std::fpos< StateT >::operator!= | ( | const fpos< StateT > & | __other | ) | const`[inline]`

| Test if not equivalent to another position. Definition at line 143 of file postypes.h.

template<typename StateT>
fpos std::fpos< StateT >::operator+ | ( | streamoff | __off | ) | const`[inline]`

| Add position and offset. Definition at line 175 of file postypes.h.

template<typename StateT>
fpos& std::fpos< StateT >::operator+= | ( | streamoff | __off | ) | `[inline]`

| Add offset to this position. Definition at line 151 of file postypes.h. References std::fpos< StateT >::operator+=(). Referenced by std::fpos< StateT >::operator+=().

template<typename StateT>
streamoff std::fpos< StateT >::operator- | ( | const fpos< StateT > & | __other | ) | const`[inline]`

| Subtract position to return offset. Definition at line 202 of file postypes.h.

template<typename StateT>
fpos std::fpos< StateT >::operator- | ( | streamoff | __off | ) | const`[inline]`

| Subtract offset from position. Definition at line 189 of file postypes.h.

template<typename StateT>
fpos& std::fpos< StateT >::operator-= | ( | streamoff | __off | ) | `[inline]`

| Subtract offset from this position. Definition at line 162 of file postypes.h. References std::fpos< StateT >::operator-=(). Referenced by std::fpos< StateT >::operator-=().

template<typename StateT>
bool std::fpos< StateT >::operator== | ( | const fpos< StateT > & | __other | ) | const`[inline]`

| Test if equivalent to another position. Definition at line 138 of file postypes.h.

template<typename StateT>
StateT std::fpos< StateT >::state | ( |  | ) | const`[inline]`

| Return the last set value of st. Definition at line 129 of file postypes.h.

template<typename StateT>
void std::fpos< StateT >::state | ( | StateT | st | ) | `[inline]`

| Remember the value of st. Definition at line 124 of file postypes.h.

The documentation for this class was generated from the following file:

- postypes.h